% % % 
% % % Creates a CLOP model starting from a particle (a vector of numbers)
% % % 
% % % Input:        a           -   psms object
% % %               particle    -   the vector corresponding to a valid
% % %                               particle
% % % 
% % % Output:       my_preprocessing    -   The full created CLOP-model
% % %               base_model          -   The classifier CLOP object 
% % % 
% % %===============================================================
% % % Hugo Jair Escalante -- hugojair@ccc.inaoep.mx -- November 2007
% % %                        hugo.jair@gmail.com
% % %===============================================================

function [my_preprocessing, base_model]=create_CLOP_model(a,particle)

% % % The position 20 of the particle-vector codifies the classifier
classifier=get_classifier(a,particle(20));

% % % particle(21:end) - contains the parameters for the selected
% % % classifier. base_model is the classifier clop object.
base_model=get_base_model(a,classifier,particle(21:end)); 

% % % my_preprocessing contains the full model, composed of the
% % % preprocessing methos codified by particle(1:19) and the classifier
% % % clop model.
my_preprocessing = get_preprocessing_model(a,particle(1:19),base_model);



