% % % 
% % % 
% % % Return a clop-classifier object with the specifyed parameters. 
% % % 
% % % Input:    a           -   psms object
% % %           classifier  -   an integer value in [1,5] representing a
% % %                           classifier
% % %           parameters  -   parameters of the classifer
% % % 
% % % Output:   base_model  -   the created classifier-clop object
% % % 
% % %===============================================================
% % % Hugo Jair Escalante -- hugojair@ccc.inaoep.mx -- November 2007
% % %                        hugo.jair@gmail.com
% % %===============================================================
% % % 
function [base_model] = get_base_model(a,classifier,parameters)
if (classifier==1) base_model=zarbi; 
elseif (classifier==2) base_model=naive; 
elseif (classifier==3) 
    base_model=kridge({['coef0=', num2str(parameters(1,1))], ...
        ['degree=', num2str(parameters(1,2))], ...
        ['gamma=', num2str(parameters(1,3))], ...
        ['shrinkage=',num2str(parameters(1,4))]}); 
elseif ((classifier==4))
    base_model=neural({['units=',num2str(parameters(1,1))], ...
        ['shrinkage=',num2str(parameters(1,2))], ...
        ['balance=',num2str(parameters(1,3))], ...
        ['maxiter=',num2str(parameters(1,4))]}); 
elseif (classifier==5) 
% elseif ((classifier==3) ||(classifier==5))
    base_model=svc({['coef0=',num2str(parameters(1,1))], ...
        ['degree=',num2str(parameters(1,2))], ...
        ['gamma=',num2str(parameters(1,3))], ...
        ['shrinkage=',num2str(parameters(1,4))]}); 
end
