% % % 
% % % Returns a classifier, according to an intervalization of rn 
% % % 
% % %   Input:      a   -   psms object
% % %               rn  -   a real value that is related to a classifier
% % %                       according to out codification
% % %   Output:     classifier  -   an integer representing a classifier
% % % 
% % %===============================================================
% % % Hugo Jair Escalante -- hugojair@ccc.inaoep.mx -- November 2007
% % %                        hugo.jair@gmail.com
% % %===============================================================

function [classifier]=get_classifier(a,rn)
classifier=0;
if (rn<0.2) classifier=1;                    %%Zarbi
            elseif (rn>=0.2 && rn<0.4) classifier=2;             %%Naive Bayes
            elseif (rn>=0.4 && rn<0.6) classifier=3;         %%Kridge
            elseif (rn>=0.6 && rn<0.8) classifier=4;     %%Neural
            elseif (rn>=0.8) classifier=5;%%SVC
end

if(~a.include_kridge && classifier==3)  %%% If we do not want to consider kridge
    classifier=5;
end