% % % 
% % % Returns a value representing a classifier, given the name of the
% % % classifier; according to our codification. It can be seen as the
% % % inverse of the get_classifier.m function
% % % 
% % %   Input:          a           -   psms object
% % %                   base_algo   -   name (string) of the classifier
% % % 
% % %   Output:         classifier  -   the discrete value representing
% % %                                   base_algo
% % %                   cval        -   a real value related to the
% % %                                   classifier, according our
% % %                                   codification 
% % % 
% % %===============================================================
% % % Hugo Jair Escalante -- hugojair@ccc.inaoep.mx -- November 2007
% % %                        hugo.jair@gmail.com
% % %===============================================================

function [classifier,cval]=get_classifier_clop(a,base_algo);
classifier=0;
if (strcmp(base_algo,'zarbi')) classifier=1;cval=0.1;                    %%Zarbi
            elseif (strcmp(base_algo,'naive'))  cval=0.3;classifier=2;             %%Naive Bayes
            elseif (strcmp(base_algo,'kridge'))   cval=0.5;classifier=3;         %%Kridge
            elseif (strcmp(base_algo,'neural'))   cval=0.7;classifier=4;     %%Neural
            elseif (strcmp(base_algo,'svc'))   cval=0.9;classifier=5;%%SVC
else
        classifier=1;
end

if(~a.include_kridge && classifier==3)  %%% If we do not want to consider kridge
    cval=0.9;classifier=5;
end