% % % Return the lower and upper bounds for a classifier
% % % You can modify this script if you want to consider other lower-upper
% % % bounds. 
% % % 
% % %   Input:  a           -       psms object
% % %           classifier  -       an integer representing a classifer
% % % 
% % %   Output: classifier  -       an integer representing a classifer
% % %           classifierlb-       lower bounds on the classifier's
% % %                               parameters.
% % %           classifierub-       upper bounds on the classifier's
% % %                               parameters.
% % %===============================================================
% % % Hugo Jair Escalante -- hugojair@ccc.inaoep.mx -- November 2007
% % %                        hugo.jair@gmail.com
% % %===============================================================


function [classifier classifierlb classifierub]=get_classifier_pars(a,classifier)

switch classifier
    case 1,         %Zarbi
        classifierlb=[0,0,0,0,0];classifierub=[0,0,0,0,0];
    case 2,         %Naive
        classifierlb=[0,0,0,0,0];classifierub=[0,0,0,0,0];
    case 3,         %kridge
        min_gamma=0.0001;max_gamma=100;
        min_degree=0;max_degree=3;
        min_shink=0.0001;max_shink=2;
        classifierlb=[0,0,min_gamma,min_shink,0]; classifierub=[1,max_degree,max_gamma,max_shink,1];
    case 4,         %neural
        min_shink=0.0001;max_shink=2;
        minunits=1;maxunits=50;
        miniter=10;maxiter=500;
        classifierlb=[minunits,min_shink,0,miniter,0]; classifierub=[maxunits,max_shink,1,maxiter,1];
        parameters=zeros(1,5);
    case 5,         % svc
        min_gamma=0.0001;max_gamma=100;
        min_degree=0;max_degree=3;
        min_shink=0.0001;max_shink=2;
        classifierlb=[0,0,min_gamma,min_shink,0]; classifierub=[1,max_degree,max_gamma,max_shink,1];
    otherwise,      %zarbi by default
        classifier=1;classifierlb=[0,0,0,0,0];classifierub=[0,0,0,0,0];
end    
