
% % % Returns the lower and upper bounds for preprocessing and feature
% % % selection methods
% % % 
% % % you can modify this script in order to reduce-increase the search
% % % space, according to knowledge on the methods and task at hand
% % % the following codification was used:
% % % 
% % % % % [s2n, fmax, w_min, gs, fmax, relief, fmax, w_min, k_num, svcrfe,
% % % % % fmax, standarize, center, normalize, center, shift_n_scale,center,pc_extract,fmax,classifier,p1,p2,p3,p4,p5];
% % % 
% % %   Input:      a       -       psms object
% % %               vecDim  -       dimensionality of the data
% % %               num     -       number of patters
% % % 
% % %   Output:     lbs     -       lower bounds on the parameters for
% % %                               preprocessing methods
% % %               ubs     -       upper bounds on the parameters for
% % %                               preprocessing methods
% % % 
% % %===============================================================
% % % Hugo Jair Escalante -- hugojair@ccc.inaoep.mx -- November 2007
% % %                        hugo.jair@gmail.com
% % %===============================================================

function [lbs ubs]=get_prep_pars(a,vecDim,num)

lb_feats=min(3,vecDim);         %%% lower bound on the number of features
ub_feats=vecDim-1;              %%% Max value for features
w_min_max=0.5;                  %% 1
w_min_min=0.1;
nn=10;
lnn=1;

lbs=[0,lb_feats,w_min_min,0,lb_feats,0,lb_feats,w_min_min,lnn,0,lb_feats,0,0,0,0,0,0,0,lb_feats];
ubs=[1,ub_feats,w_min_max,1,ub_feats,1,ub_feats,w_min_max,nn,1,ub_feats,1,1,1,1,1,1,1,ub_feats];
