% % % 
% % % 
% % % Return a clop object with the specifyed preprocessing methods and 
% % % their parameters. 
% % % 
% % % Input:    a               -   psms object
% % %           preprocessing   -   a particle-vector corresponding to the
% % %                               preprocessing part of the particle
% % %           base_model  -   	the classifier-clop object
% % % 
% % % Output:   my_preprox  -       the created classifier-clop object
% % % 
% % %===============================================================
% % % Hugo Jair Escalante -- hugojair@ccc.inaoep.mx -- November 2007
% % %                        hugo.jair@gmail.com
% % %===============================================================
% % % 

function [my_preprox] = get_preprocessing_model(a,preprocessing,base_model)

if (preprocessing(1,1)==1)
 preprocessing_1=s2n({['f_max=', num2str(preprocessing(1,2))], ['w_min=',num2str(preprocessing(1,3))]});
else
    preprocessing_1='';
end

if (preprocessing(1,4)==1)
    preprocessing_2=gs(['f_max=', num2str(preprocessing(1,5))]);
else
    preprocessing_2='';
end

if (preprocessing(1,6)==1)
    preprocessing_3=relief({['f_max=', num2str(preprocessing(1,7))], ['w_min=',num2str(preprocessing(1,8))], ['k_num=',num2str(round(preprocessing(1,9)))]})
    
else
    preprocessing_3='';
end

if (preprocessing(1,10)==1)
    preprocessing_4=svcrfe(['f_max=', num2str(preprocessing(1,11))]);
else
    preprocessing_4='';
end

if (preprocessing(1,12)==1)
    preprocessing_5=standardize(['center=', num2str(preprocessing(1,13))]);
else
    preprocessing_5='';
end

if (preprocessing(1,14)==1)
    preprocessing_6=normalize(['center=', num2str(preprocessing(1,15))]);
else
    preprocessing_6='';
end

if (preprocessing(1,16)==1)
    preprocessing_7=shift_n_scale(['take_log=', num2str(preprocessing(1,17))]);
else
    preprocessing_7='';
end

if (preprocessing(1,18)==1)
    preprocessing_8=pc_extract(['f_max=', num2str(preprocessing(1,19))]);
else
    preprocessing_8='';
end
my_prepro={preprocessing_1,preprocessing_2,preprocessing_3,preprocessing_4,preprocessing_5,...
    preprocessing_6,preprocessing_7,preprocessing_8};

k=1;
for i=1:size(my_prepro,2)
    if ~(equal(my_prepro{1,i},''))
       my_prepro_final{1,k}=my_prepro{1,i};
       k=k+1;
    end
end
my_prepro_final{1,k}=base_model;
my_prepro_final{1,k+1}=bias;
my_preprox=chain(my_prepro_final);
% isclop(my_preprox);



